--- cheese-3.4.2/debian/changelog	2012-09-22 12:12:03.000000000 +0100
+++ cheese-3.6.1/debian/changelog	2012-10-18 12:56:25.000000000 +0100
@@ -1,3 +1,23 @@
+cheese (3.6.1-0+g36+2) experimental; urgency=low
+
+  * Bump versioned build-dependencies on GLib, Gtk and gnome-desktop3
+    to force use of the versions in experimental
+
+ -- Simon McVittie <smcv@debian.org>  Thu, 18 Oct 2012 12:55:24 +0100
+
+cheese (3.6.1-0+g36+1) experimental; urgency=low
+
+  * Local build
+  * New upstream release (LP: #1045549, LP: #1034615)
+    - uses GStreamer 1.0
+    - no longer uses libmx
+    - new SONAMEs for libraries
+    - packaging loosely based on Ubuntu's 3.6.0-0ubuntu1; thanks to Jeremy
+      Bicha, Robert Ancell, Rico Tzschichholz, Martin Pitt,
+      Andrew Starr-Bochicchio
+
+ -- Simon McVittie <smcv@debian.org>  Thu, 18 Oct 2012 12:11:55 +0100
+
 cheese (3.4.2-2) unstable; urgency=low
 
   [ Jeremy Bicha ]
--- cheese-3.4.2/debian/control	2012-09-22 12:28:55.000000000 +0100
+++ cheese-3.6.1/debian/control	2012-10-18 12:58:12.000000000 +0100
@@ -7,7 +7,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/cheese/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/cheese/
@@ -15,25 +15,26 @@
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
+               docbook-xsl,
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.14),
-               intltool (>= 0.40.0),
+               intltool (>= 0.50.0),
                rarian-compat,
-               valac (>= 0.14.0),
-               libglib2.0-dev (>= 2.28.0),
+               valac (>= 0.18) | valac-0.18,
+               libglib2.0-dev (>= 2.34.0),
                libgdk-pixbuf2.0-dev,
-               libgtk-3-dev (>= 2.99.4),
-               libgnome-desktop-3-dev (>= 2.91.6),
-               libgstreamer0.10-dev (>= 0.10.32),
-               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
+               libgtk-3-dev (>= 3.6),
+               libgnome-desktop-3-dev (>= 3.6),
+               libgstreamer1.0-dev (>= 0.11.0),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+               libgstreamer-plugins-bad1.0-dev (>= 0.11.0),
                libcairo2-dev (>= 1.10.0),
                libpango1.0-dev (>= 1.28.0),
                librsvg2-dev (>= 2.32.0),
-               libclutter-1.0-dev (>= 1.6.1),
+               libclutter-1.0-dev (>= 1.10.0),
                libclutter-gtk-1.0-dev (>= 0.91.8),
-               libclutter-gst-dev (>= 1.0.0),
-               libmx-dev,
+               libclutter-gst-2.0-dev (>= 1.9.0),
                libgee-dev (>= 0.6.0),
                x11proto-core-dev,
                libcanberra-gtk3-dev (>= 0.26),
@@ -78,7 +79,7 @@
  .
  This package contains the common files and translations.
 
-Package: libcheese-gtk21
+Package: libcheese-gtk23
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -98,12 +99,12 @@
 Package: libcheese-gtk-dev
 Architecture: any
 Section: libdevel
-Depends: libcheese-gtk21 (= ${binary:Version}),
+Depends: libcheese-gtk23 (= ${binary:Version}),
          libcheese-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.28.0),
-         libgtk-3-dev (>= 2.99.4),
-         libgstreamer0.10-dev (>= 0.10.32),
-         libgstreamer-plugins-base0.10-dev (>= 0.10.32),
+         libgtk-3-dev (>= 3.4.4),
+         libgstreamer1.0-dev (>= 0.11.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
          libclutter-gtk-1.0-dev (>= 0.91.8),
          libcanberra-gtk3-dev (>= 0.26),
          ${misc:Depends}
@@ -117,16 +118,16 @@
  .
  This package contains the GTK+ development headers.
 
-Package: libcheese3
+Package: libcheese7
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          cheese-common (= ${source:Version}),
-         gstreamer0.10-plugins-base (>= 0.10.23),
-         gstreamer0.10-plugins-good (>= 0.10.23),
-         gstreamer0.10-plugins-bad,
-         gstreamer0.10-x
+         gstreamer1.0-plugins-base (>= 0.11.0),
+         gstreamer1.0-plugins-good (>= 0.11.0),
+         gstreamer1.0-plugins-bad,
+         gstreamer1.0-x
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: tool to take pictures and videos from your webcam - base library
@@ -141,13 +142,13 @@
 Package: libcheese-dev
 Architecture: any
 Section: libdevel
-Depends: libcheese3 (= ${binary:Version}),
+Depends: libcheese7 (= ${binary:Version}),
          gir1.2-cheese-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.28.0),
-         libclutter-1.0-dev (>= 1.6.1),
-         libgstreamer0.10-dev (>= 0.10.32),
-         libgstreamer-plugins-base0.10-dev (>= 0.10.32),
-         libclutter-gst-dev (>= 1.0.0),
+         libclutter-1.0-dev (>= 1.10.0),
+         libgstreamer1.0-dev (>= 0.11.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+         libclutter-gst-2.0-dev (>= 1.9.0),
          libgdk-pixbuf2.0-dev,
          ${misc:Depends}
 Suggests: libcheese-doc
--- cheese-3.4.2/debian/control.in	2012-06-03 17:53:38.000000000 +0100
+++ cheese-3.6.1/debian/control.in	2012-10-18 12:55:21.000000000 +0100
@@ -10,25 +10,26 @@
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                dh-autoreconf,
+               docbook-xsl,
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.14),
-               intltool (>= 0.40.0),
+               intltool (>= 0.50.0),
                rarian-compat,
-               valac (>= 0.14.0),
-               libglib2.0-dev (>= 2.28.0),
+               valac (>= 0.18) | valac-0.18,
+               libglib2.0-dev (>= 2.34.0),
                libgdk-pixbuf2.0-dev,
-               libgtk-3-dev (>= 2.99.4),
-               libgnome-desktop-3-dev (>= 2.91.6),
-               libgstreamer0.10-dev (>= 0.10.32),
-               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
+               libgtk-3-dev (>= 3.6),
+               libgnome-desktop-3-dev (>= 3.6),
+               libgstreamer1.0-dev (>= 0.11.0),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+               libgstreamer-plugins-bad1.0-dev (>= 0.11.0),
                libcairo2-dev (>= 1.10.0),
                libpango1.0-dev (>= 1.28.0),
                librsvg2-dev (>= 2.32.0),
-               libclutter-1.0-dev (>= 1.6.1),
+               libclutter-1.0-dev (>= 1.10.0),
                libclutter-gtk-1.0-dev (>= 0.91.8),
-               libclutter-gst-dev (>= 1.0.0),
-               libmx-dev,
+               libclutter-gst-2.0-dev (>= 1.9.0),
                libgee-dev (>= 0.6.0),
                x11proto-core-dev,
                libcanberra-gtk3-dev (>= 0.26),
@@ -73,7 +74,7 @@
  .
  This package contains the common files and translations.
 
-Package: libcheese-gtk21
+Package: libcheese-gtk23
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -93,12 +94,12 @@
 Package: libcheese-gtk-dev
 Architecture: any
 Section: libdevel
-Depends: libcheese-gtk21 (= ${binary:Version}),
+Depends: libcheese-gtk23 (= ${binary:Version}),
          libcheese-dev (= ${binary:Version}),
          libglib2.0-dev (>= 2.28.0),
-         libgtk-3-dev (>= 2.99.4),
-         libgstreamer0.10-dev (>= 0.10.32),
-         libgstreamer-plugins-base0.10-dev (>= 0.10.32),
+         libgtk-3-dev (>= 3.4.4),
+         libgstreamer1.0-dev (>= 0.11.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
          libclutter-gtk-1.0-dev (>= 0.91.8),
          libcanberra-gtk3-dev (>= 0.26),
          ${misc:Depends}
@@ -112,16 +113,16 @@
  .
  This package contains the GTK+ development headers.
 
-Package: libcheese3
+Package: libcheese7
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          cheese-common (= ${source:Version}),
-         gstreamer0.10-plugins-base (>= 0.10.23),
-         gstreamer0.10-plugins-good (>= 0.10.23),
-         gstreamer0.10-plugins-bad,
-         gstreamer0.10-x
+         gstreamer1.0-plugins-base (>= 0.11.0),
+         gstreamer1.0-plugins-good (>= 0.11.0),
+         gstreamer1.0-plugins-bad,
+         gstreamer1.0-x
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: tool to take pictures and videos from your webcam - base library
@@ -136,13 +137,13 @@
 Package: libcheese-dev
 Architecture: any
 Section: libdevel
-Depends: libcheese3 (= ${binary:Version}),
+Depends: libcheese7 (= ${binary:Version}),
          gir1.2-cheese-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.28.0),
-         libclutter-1.0-dev (>= 1.6.1),
-         libgstreamer0.10-dev (>= 0.10.32),
-         libgstreamer-plugins-base0.10-dev (>= 0.10.32),
-         libclutter-gst-dev (>= 1.0.0),
+         libclutter-1.0-dev (>= 1.10.0),
+         libgstreamer1.0-dev (>= 0.11.0),
+         libgstreamer-plugins-base1.0-dev (>= 0.11.0),
+         libclutter-gst-2.0-dev (>= 1.9.0),
          libgdk-pixbuf2.0-dev,
          ${misc:Depends}
 Suggests: libcheese-doc
--- cheese-3.4.2/debian/libcheese3.install	2012-04-01 16:28:59.000000000 +0100
+++ cheese-3.6.1/debian/libcheese3.install	1970-01-01 01:00:00.000000000 +0100
@@ -1 +0,0 @@
-usr/lib/*/libcheese.so.*
--- cheese-3.4.2/debian/libcheese3.symbols	2012-04-06 10:16:13.000000000 +0100
+++ cheese-3.6.1/debian/libcheese3.symbols	1970-01-01 01:00:00.000000000 +0100
@@ -1,59 +0,0 @@
-libcheese.so.3 libcheese3 #MINVER#
- cheese_camera_cat@Base 3.0.1
- cheese_camera_connect_effect_texture@Base 3.0.1
- cheese_camera_device_cat@Base 3.0.1
- cheese_camera_device_error_quark@Base 3.0.1
- cheese_camera_device_get_best_format@Base 3.0.1
- cheese_camera_device_get_caps_for_format@Base 3.0.1
- cheese_camera_device_get_device_node@Base 3.4.0
- cheese_camera_device_get_format_list@Base 3.0.1
- cheese_camera_device_get_name@Base 3.0.1
- cheese_camera_device_get_src@Base 3.0.1
- cheese_camera_device_get_type@Base 3.0.1
- cheese_camera_device_get_uuid@Base 3.4.0
- cheese_camera_device_monitor_coldplug@Base 3.0.1
- cheese_camera_device_monitor_error_quark@Base 3.0.1
- cheese_camera_device_monitor_get_type@Base 3.0.1
- cheese_camera_device_monitor_new@Base 3.0.1
- (arch=linux-any)cheese_camera_device_monitor_set_up_device@Base 3.4.0
- cheese_camera_device_new@Base 3.0.1
- cheese_camera_error_quark@Base 3.0.1
- cheese_camera_get_balance_property_range@Base 3.0.1
- cheese_camera_get_camera_devices@Base 3.0.1
- cheese_camera_get_current_video_format@Base 3.0.1
- cheese_camera_get_selected_device@Base 3.0.1
- cheese_camera_get_type@Base 3.0.1
- cheese_camera_get_video_formats@Base 3.0.1
- cheese_camera_new@Base 3.0.1
- cheese_camera_play@Base 3.0.1
- cheese_camera_set_balance_property@Base 3.0.1
- cheese_camera_set_device_by_device_node@Base 3.4.0
- cheese_camera_set_effect@Base 3.0.1
- cheese_camera_set_video_format@Base 3.0.1
- cheese_camera_setup@Base 3.0.1
- cheese_camera_start_video_recording@Base 3.0.1
- cheese_camera_stop@Base 3.0.1
- cheese_camera_stop_video_recording@Base 3.0.1
- cheese_camera_switch_camera_device@Base 3.0.1
- cheese_camera_take_photo@Base 3.0.1
- cheese_camera_take_photo_pixbuf@Base 3.0.1
- cheese_camera_toggle_effects_pipeline@Base 3.0.1
- cheese_device_monitor_cat@Base 3.0.1
- cheese_effect_disable_preview@Base 3.0.1
- cheese_effect_enable_preview@Base 3.0.1
- cheese_effect_get_name@Base 3.4.0
- cheese_effect_get_pipeline_desc@Base 3.4.0
- cheese_effect_get_type@Base 3.0.1
- cheese_effect_is_preview_connected@Base 3.0.1
- cheese_effect_load_effects@Base 3.2.0
- cheese_effect_load_from_file@Base 3.2.0
- cheese_effect_new@Base 3.0.1
- cheese_fileutil_get_new_media_filename@Base 3.0.1
- cheese_fileutil_get_photo_path@Base 3.0.1
- cheese_fileutil_get_type@Base 3.0.1
- cheese_fileutil_get_video_path@Base 3.0.1
- cheese_fileutil_new@Base 3.0.1
- cheese_fileutil_reset_burst@Base 3.0.1
- cheese_init@Base 3.4.0
- cheese_video_format_get_type@Base 3.0.1
- cheese_widget_state_get_type@Base 3.0.1
--- cheese-3.4.2/debian/libcheese7.install	1970-01-01 01:00:00.000000000 +0100
+++ cheese-3.6.1/debian/libcheese7.install	2012-10-18 11:58:20.000000000 +0100
@@ -0,0 +1 @@
+usr/lib/*/libcheese.so.*
--- cheese-3.4.2/debian/libcheese7.symbols	1970-01-01 01:00:00.000000000 +0100
+++ cheese-3.6.1/debian/libcheese7.symbols	2012-10-18 12:17:42.000000000 +0100
@@ -0,0 +1,60 @@
+libcheese.so.7 libcheese7 #MINVER#
+ cheese_camera_cat@Base 3.0.1
+ cheese_camera_connect_effect_texture@Base 3.0.1
+ cheese_camera_device_cat@Base 3.0.1
+ cheese_camera_device_error_quark@Base 3.0.1
+ cheese_camera_device_get_best_format@Base 3.0.1
+ cheese_camera_device_get_caps_for_format@Base 3.0.1
+ cheese_camera_device_get_device_node@Base 3.4.0
+ cheese_camera_device_get_format_list@Base 3.0.1
+ cheese_camera_device_get_name@Base 3.0.1
+ cheese_camera_device_get_src@Base 3.0.1
+ cheese_camera_device_get_type@Base 3.0.1
+ cheese_camera_device_get_uuid@Base 3.4.0
+ cheese_camera_device_monitor_coldplug@Base 3.0.1
+ cheese_camera_device_monitor_error_quark@Base 3.0.1
+ cheese_camera_device_monitor_get_type@Base 3.0.1
+ cheese_camera_device_monitor_new@Base 3.0.1
+ (arch=linux-any)cheese_camera_device_monitor_set_up_device@Base 3.4.0
+ cheese_camera_device_new@Base 3.0.1
+ cheese_camera_error_quark@Base 3.0.1
+ cheese_camera_get_balance_property_range@Base 3.0.1
+ cheese_camera_get_camera_devices@Base 3.0.1
+ cheese_camera_get_current_video_format@Base 3.0.1
+ cheese_camera_get_recorded_time@Base 3.5.1
+ cheese_camera_get_selected_device@Base 3.0.1
+ cheese_camera_get_type@Base 3.0.1
+ cheese_camera_get_video_formats@Base 3.0.1
+ cheese_camera_new@Base 3.0.1
+ cheese_camera_play@Base 3.0.1
+ cheese_camera_set_balance_property@Base 3.0.1
+ cheese_camera_set_device_by_device_node@Base 3.4.0
+ cheese_camera_set_effect@Base 3.0.1
+ cheese_camera_set_video_format@Base 3.0.1
+ cheese_camera_setup@Base 3.0.1
+ cheese_camera_start_video_recording@Base 3.0.1
+ cheese_camera_stop@Base 3.0.1
+ cheese_camera_stop_video_recording@Base 3.0.1
+ cheese_camera_switch_camera_device@Base 3.0.1
+ cheese_camera_take_photo@Base 3.0.1
+ cheese_camera_take_photo_pixbuf@Base 3.0.1
+ cheese_camera_toggle_effects_pipeline@Base 3.0.1
+ cheese_device_monitor_cat@Base 3.0.1
+ cheese_effect_disable_preview@Base 3.0.1
+ cheese_effect_enable_preview@Base 3.0.1
+ cheese_effect_get_name@Base 3.4.0
+ cheese_effect_get_pipeline_desc@Base 3.4.0
+ cheese_effect_get_type@Base 3.0.1
+ cheese_effect_is_preview_connected@Base 3.0.1
+ cheese_effect_load_effects@Base 3.2.0
+ cheese_effect_load_from_file@Base 3.2.0
+ cheese_effect_new@Base 3.0.1
+ cheese_fileutil_get_new_media_filename@Base 3.0.1
+ cheese_fileutil_get_photo_path@Base 3.0.1
+ cheese_fileutil_get_type@Base 3.0.1
+ cheese_fileutil_get_video_path@Base 3.0.1
+ cheese_fileutil_new@Base 3.0.1
+ cheese_fileutil_reset_burst@Base 3.0.1
+ cheese_init@Base 3.4.0
+ cheese_video_format_get_type@Base 3.0.1
+ cheese_widget_state_get_type@Base 3.0.1
--- cheese-3.4.2/debian/libcheese-gtk21.install	2012-04-01 16:28:59.000000000 +0100
+++ cheese-3.6.1/debian/libcheese-gtk21.install	1970-01-01 01:00:00.000000000 +0100
@@ -1 +0,0 @@
-usr/lib/*/libcheese-gtk.so.*
--- cheese-3.4.2/debian/libcheese-gtk21.symbols	2012-04-01 16:28:59.000000000 +0100
+++ cheese-3.6.1/debian/libcheese-gtk21.symbols	1970-01-01 01:00:00.000000000 +0100
@@ -1,14 +0,0 @@
-libcheese-gtk.so.21 libcheese-gtk21 #MINVER#
- cheese_avatar_chooser_get_picture@Base 3.0.1
- cheese_avatar_chooser_get_type@Base 3.0.1
- cheese_avatar_chooser_new@Base 3.0.1
- cheese_flash_fire@Base 3.0.1
- cheese_flash_get_type@Base 3.0.1
- cheese_flash_new@Base 3.0.1
- cheese_gtk_init@Base 3.4.0
- cheese_widget_get_camera@Base 3.0.1
- cheese_widget_get_error@Base 3.0.1
- cheese_widget_get_type@Base 3.0.1
- cheese_widget_get_video_area@Base 3.0.1
- cheese_widget_new@Base 3.0.1
- um_crop_area_get_type@Base 3.0.1
--- cheese-3.4.2/debian/libcheese-gtk23.install	1970-01-01 01:00:00.000000000 +0100
+++ cheese-3.6.1/debian/libcheese-gtk23.install	2012-10-18 11:58:20.000000000 +0100
@@ -0,0 +1 @@
+usr/lib/*/libcheese-gtk.so.*
--- cheese-3.4.2/debian/libcheese-gtk23.symbols	1970-01-01 01:00:00.000000000 +0100
+++ cheese-3.6.1/debian/libcheese-gtk23.symbols	2012-10-18 12:04:47.000000000 +0100
@@ -0,0 +1,14 @@
+libcheese-gtk.so.23 libcheese-gtk23 #MINVER#
+ cheese_avatar_chooser_get_picture@Base 3.0.1
+ cheese_avatar_chooser_get_type@Base 3.0.1
+ cheese_avatar_chooser_new@Base 3.0.1
+ cheese_flash_fire@Base 3.0.1
+ cheese_flash_get_type@Base 3.0.1
+ cheese_flash_new@Base 3.0.1
+ cheese_gtk_init@Base 3.4.0
+ cheese_widget_get_camera@Base 3.0.1
+ cheese_widget_get_error@Base 3.0.1
+ cheese_widget_get_type@Base 3.0.1
+ cheese_widget_get_video_area@Base 3.0.1
+ cheese_widget_new@Base 3.0.1
+ um_crop_area_get_type@Base 3.0.1
--- cheese-3.4.2/debian/patches/99_ltmain_as-needed.patch	2012-04-01 16:28:59.000000000 +0100
+++ cheese-3.6.1/debian/patches/99_ltmain_as-needed.patch	2012-10-18 12:18:25.000000000 +0100
@@ -1,7 +1,7 @@
-Index: cheese-3.2.1/build-aux/ltmain.sh
+Index: cheese-3.2.1/ltmain.sh
 ===================================================================
---- cheese-3.2.1/build-aux/ltmain.sh	2011-10-17 22:20:56.000000000 +0200
-+++ cheese-3.2.1/build-aux/ltmain.sh	2011-11-13 14:07:28.230942270 +0100
+--- cheese-3.2.1.orig/ltmain.sh	2011-10-17 22:20:56.000000000 +0200
++++ cheese-3.2.1/ltmain.sh	2011-11-13 14:07:28.230942270 +0100
 @@ -5787,6 +5787,11 @@
  	arg=$func_stripname_result
  	;;
--- cheese-3.4.2/debian/rules	2012-04-06 09:46:34.000000000 +0100
+++ cheese-3.6.1/debian/rules	2012-10-18 12:18:57.000000000 +0100
@@ -16,5 +16,9 @@
                              --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_DH_MAKESHLIBS_ARGS_libcheese3 += -V -- -c4
-DEB_DH_MAKESHLIBS_ARGS_libcheese-gtk21 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcheese7 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcheese-gtk23 += -V -- -c4
+
+clean::
+	rm -rf *vala.stamp
+	rm -rf src/*.c
